aboutsummaryrefslogtreecommitdiffstats
path: root/gentoo/files/cputemp2maxfreq.init
diff options
context:
space:
mode:
authorPA4WDH2023-05-24 14:19:26 +0200
committerPA4WDH2023-05-24 14:19:26 +0200
commit3090d9e949eca74cd2798267ac2f994c2efa4c51 (patch)
tree6f5662b3ca07428461a16ceca7bc17946594f9ea /gentoo/files/cputemp2maxfreq.init
parentUpdate generate_version_h.sh (diff)
downloadcputemp2maxfreq-3090d9e949eca74cd2798267ac2f994c2efa4c51.tar.gz
cputemp2maxfreq-3090d9e949eca74cd2798267ac2f994c2efa4c51.tar.bz2
cputemp2maxfreq-3090d9e949eca74cd2798267ac2f994c2efa4c51.zip
Add gentoo ebuild
Diffstat (limited to 'gentoo/files/cputemp2maxfreq.init')
-rwxr-xr-xgentoo/files/cputemp2maxfreq.init17
1 files changed, 17 insertions, 0 deletions
diff --git a/gentoo/files/cputemp2maxfreq.init b/gentoo/files/cputemp2maxfreq.init
new file mode 100755
index 0000000..83a3798
--- /dev/null
+++ b/gentoo/files/cputemp2maxfreq.init
@@ -0,0 +1,17 @@
+#!/sbin/openrc-run
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+name="cputemp2maxfreq daemon"
+description="Daemon to scale scale_max_freq when CPU temperature rises"
+command=/usr/sbin/cputemp2maxfreq
+command_args="-l $LOGGER -t $TEMPERATURE $ARGS"
+
+start() {
+ ebegin "Starting $NAME"
+ start-stop-daemon --start --background \
+ --make-pidfile --pidfile /var/run/cputemp2maxfreq.pid \
+ --exec ${command} -- ${command_args}
+ eend $?
+}
+